## gdict-utils gdict-utils |

## Functions

GOptionGroup * | gdict_get_option_group ()
void | gdict_debug_init ()

## Types and Values

#define | GDICT_DEFAULT_DATABASE
#define | GDICT_DEFAULT_STRATEGY
#define | GDICT_DEFAULT_FONT_NAME
enum | GdictContextProp
enum | GdictStatusCode

## Description

## Functions

### gdict_get_option_group ()

    GOptionGroup *
    gdict_get_option_group (void);

FIXME

#### Returns

FIXME

Since 0.12

### gdict_debug_init ()

    void
    gdict_debug_init (gint *argc,
                      gchar ***argv);

FIXME

#### Parameters

argc | FIXME |
argv | FIXME |

Since 0.12

## Types and Values

### GDICT_DEFAULT_DATABASE

    #define GDICT_DEFAULT_DATABASE "*"

### GDICT_DEFAULT_STRATEGY

    #define GDICT_DEFAULT_STRATEGY "."

### GDICT_DEFAULT_FONT_NAME

    #define GDICT_DEFAULT_FONT_NAME "Sans 10"

### enum GdictContextProp

#### Members

GDICT_CONTEXT_PROP_FIRST |  |
GDICT_CONTEXT_PROP_LOCAL_ONLY |  |
GDICT_CONTEXT_PROP_LAST |  |

### enum GdictStatusCode

#### Members

GDICT_STATUS_INVALID |  |
GDICT_STATUS_N_DATABASES_PRESENT |  |
GDICT_STATUS_N_STRATEGIES_PRESENT |  |
GDICT_STATUS_DATABASE_INFO |  |
GDICT_STATUS_HELP_TEXT |  |
GDICT_STATUS_SERVER_INFO |  |
GDICT_STATUS_CHALLENGE |  |
GDICT_STATUS_N_DEFINITIONS_RETRIEVED |  |
GDICT_STATUS_WORD_DB_NAME |  |
GDICT_STATUS_N_MATCHES_FOUND |  |
GDICT_STATUS_CONNECT |  |
GDICT_STATUS_QUIT |  |
GDICT_STATUS_AUTH_OK |  |
GDICT_STATUS_OK |  |
GDICT_STATUS_SEND_RESPONSE |  |
GDICT_STATUS_SERVER_DOWN |  |
GDICT_STATUS_SHUTDOWN |  |
GDICT_STATUS_BAD_COMMAND |  |
GDICT_STATUS_BAD_PARAMETERS |  |
GDICT_STATUS_COMMAND_NOT_IMPLEMENTED |  |
GDICT_STATUS_PARAMETER_NOT_IMPLEMENTED |  |
GDICT_STATUS_NO_ACCESS |  |
GDICT_STATUS_USE_SHOW_INFO |  |
GDICT_STATUS_UNKNOWN_MECHANISM |  |
GDICT_STATUS_BAD_DATABASE |  |
GDICT_STATUS_BAD_STRATEGY |  |
GDICT_STATUS_NO_MATCH |  |
GDICT_STATUS_NO_DATABASES_PRESENT |  |
GDICT_STATUS_NO_STRATEGIES_PRESENT |  |